JALV.GTK3(1) | General Commands Manual | JALV.GTK3(1)

# NAME

`jalv.gtk3` — run an LV2 plugin with a GTK3 interface

# SYNOPSIS

`jalv.gtk3` | [`-dghmpstx`] [`-b`, `--buffer-size`=size] [`-c`, `--control`=setting] [`-l`, `--load`=dir] [`-n`, `--jack-name`=name] [`-P`, `--preset`=uri] [`-r`, `--update-frequency`=hz] [`-S`, `--scale-factor`=scale] [`-U`, `--ui-uri`=uri] [plugin_state]

# DESCRIPTION

`jalv.gtk3` is a simple LV2 host that runs a single plugin. This version has a GTK3 interface that shows either generic controls or a custom plugin GUI.

`jalv.gtk3` has one positional argument, which can be a plugin URI, preset URI, or the path to a bundle or data file that describes one. If none is given, then a plugin selector dialog is initially displayed.

The options are as follows:

`-b`, `--buffer-size`=size
  Buffer size for plugin <=> UI communication.
`-c`, `--control`=setting
  Set control value, for example, `-c` vol=1.4 where “vol” is the symbol of some control port on the plugin.
`-d`, `--dump`
  Dump plugin <=> UI communication.
`-g`, `--generic-ui`
  Show generic UI instead of custom plugin GUI.
`-h`, `--help`
  Print the command line options.
`-l`, `--load`=dir
  Load state from the given directory before running the plugin.
`-m`, `--minimal-ui`
  Show only the plugin interface without any application extras.
`-n`, `--jack-name`=name
  Use the given JACK client name. Note that JACK may adjust the name if necessary unless `-x` is also given.
`-P`, `--preset`=uri
  Load the given preset before running plugin.
`-p`, `--print-controls`
  Print control output changes to `stdout`.
`-r`, `--update-frequency`=hz
  Set the UI update frequency. By default the screen refresh rate is used, typically 30 or 60 Hz.
`-S`, `--scale-factor`=factor
  Override the UI scale factor.
`-s`, `--show-hidden`
  Show controls that are normally hidden.
`-t`, `--trace`
  Print debug trace messages. This enables the “trace” LV2 log, which is used by some plugins to print debugging output. Some extra internal error messages are also enabled. Note that this may print in the audio thread, which can cause dropouts.
`-U`, `--ui-uri`=uri
  Load the UI with the given URI.
`-x`, `--exact-jack-name`
  Use only the exact JACK client name given by `-n` or exit if it's unavailable.

# ENVIRONMENT

`LV2_PATH`
  Search path for LV2 bundles, in `PATH` format.

# SEE ALSO

jalv(1), jalv.qt5(1)

# AUTHORS

jalv was written by David Robillard <d@drobilla.net> with contributions by others. The original GTK interface was added by Alexandros Theodotou and Nick Lanham.

August 1, 2025 | Linux 6.18.6-1-aarch64-ARCH